class ThreeParameterLogistic:
  def __init__(self, model_params, kwargs):
    self.model_params = model_params
    # check if exists, if not error out
    self.b_param = kwargs['b_param']
    self.e = 2.71828
    self.theta = kwargs['theta']

  def result(self):
    a = self.model_params.a_param
    c = self.model_params.c_param
    return c + (1 - c) * (1 / (1 + self.e**(-a * (self.theta - self.b_param))))
