from lib.irt.item_information_function import ItemInformationFunction

class TestInformationFunction():
  def __init__(self, irt_model):
    self.irt_model = irt_model
    self.iif = ItemInformationFunction(irt_model)

  def calculate(self, items, **kwargs):
    sum = 0

    for item in items:
      result = self.iif.calculate(b_param=item.b_param, theta=kwargs['theta'])
      sum += result

    return sum
